Bug 1328372 - [abrt] device-mapper-event: _timeout_thread(): dmeventd killed by SIGSEGV
Summary: [abrt] device-mapper-event: _timeout_thread(): dmeventd killed by SIGSEGV
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: lvm2
Version: 7.3
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Peter Rajnoha
QA Contact: cluster-qe@redhat.com
URL: https://faf-report.itos.redhat.com/re...
Whiteboard: abrt_hash:fb2d3cd4f3ca7f33ff5b127c9c9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-04-19 08:48 UTC by Matěj Cepl
Modified: 2016-11-04 04:20 UTC (History)
10 users (show)

Fixed In Version: lvm2-2.02.162-1.el7
Doc Type: Bug Fix
Doc Text:
dmeventd code has been updated to recent version which includes numerous fixes, including fixes for various possible segfaults.
Clone Of:
Environment:
Last Closed: 2016-11-04 04:20:20 UTC
Target Upstream Version:


Attachments (Terms of Use)
File: backtrace (10.89 KB, text/plain)
2016-04-19 08:48 UTC, Matěj Cepl
no flags Details
File: cgroup (206 bytes, text/plain)
2016-04-19 08:48 UTC, Matěj Cepl
no flags Details
File: core_backtrace (3.62 KB, text/plain)
2016-04-19 08:48 UTC, Matěj Cepl
no flags Details
File: dso_list (2.62 KB, text/plain)
2016-04-19 08:48 UTC, Matěj Cepl
no flags Details
File: environ (117 bytes, text/plain)
2016-04-19 08:49 UTC, Matěj Cepl
no flags Details
File: exploitable (82 bytes, text/plain)
2016-04-19 08:49 UTC, Matěj Cepl
no flags Details
File: limits (1.29 KB, text/plain)
2016-04-19 08:49 UTC, Matěj Cepl
no flags Details
File: machineid (135 bytes, text/plain)
2016-04-19 08:49 UTC, Matěj Cepl
no flags Details
File: maps (11.84 KB, text/plain)
2016-04-19 08:49 UTC, Matěj Cepl
no flags Details
File: open_fds (461 bytes, text/plain)
2016-04-19 08:49 UTC, Matěj Cepl
no flags Details
File: proc_pid_status (1.02 KB, text/plain)
2016-04-19 08:49 UTC, Matěj Cepl
no flags Details
File: var_log_messages (789 bytes, text/plain)
2016-04-19 08:49 UTC, Matěj Cepl
no flags Details
File: sosreport.tar.xz (15.89 MB, application/octet-stream)
2016-04-19 08:51 UTC, Matěj Cepl
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1445 normal SHIPPED_LIVE lvm2 bug fix and enhancement update 2016-11-03 13:46:41 UTC

Description Matěj Cepl 2016-04-19 08:48:44 UTC
Version-Release number of selected component:
device-mapper-event-1.02.107-5.el7_2.1

Additional info:
reporter:       libreport-2.1.11
backtrace_rating: 4
cmdline:        /usr/sbin/dmeventd -f
crash_function: _timeout_thread
executable:     /usr/sbin/dmeventd
global_pid:     1047
kernel:         3.10.0-377.el7.x86_64
runlevel:       unknown
type:           CCpp
uid:            0

Truncated backtrace:
Thread no. 1 (1 frames)
 #0 _timeout_thread

Potential duplicate: bug 1220856

Comment 1 Matěj Cepl 2016-04-19 08:48:53 UTC
Created attachment 1148404 [details]
File: backtrace

Comment 2 Matěj Cepl 2016-04-19 08:48:55 UTC
Created attachment 1148405 [details]
File: cgroup

Comment 3 Matěj Cepl 2016-04-19 08:48:57 UTC
Created attachment 1148406 [details]
File: core_backtrace

Comment 4 Matěj Cepl 2016-04-19 08:48:58 UTC
Created attachment 1148407 [details]
File: dso_list

Comment 5 Matěj Cepl 2016-04-19 08:49:00 UTC
Created attachment 1148408 [details]
File: environ

Comment 6 Matěj Cepl 2016-04-19 08:49:02 UTC
Created attachment 1148409 [details]
File: exploitable

Comment 7 Matěj Cepl 2016-04-19 08:49:04 UTC
Created attachment 1148410 [details]
File: limits

Comment 8 Matěj Cepl 2016-04-19 08:49:06 UTC
Created attachment 1148411 [details]
File: machineid

Comment 9 Matěj Cepl 2016-04-19 08:49:08 UTC
Created attachment 1148412 [details]
File: maps

Comment 10 Matěj Cepl 2016-04-19 08:49:10 UTC
Created attachment 1148413 [details]
File: open_fds

Comment 11 Matěj Cepl 2016-04-19 08:49:12 UTC
Created attachment 1148414 [details]
File: proc_pid_status

Comment 12 Matěj Cepl 2016-04-19 08:49:13 UTC
Created attachment 1148415 [details]
File: var_log_messages

Comment 13 Matěj Cepl 2016-04-19 08:51:03 UTC
Created attachment 1148417 [details]
File: sosreport.tar.xz

Comment 17 Peter Rajnoha 2016-06-03 12:24:20 UTC
Currently, we have lvm2-2.02.152-2.el7 in 7.3 - please try this build and see if you can reproduce. Thanks.

Comment 18 Matěj Cepl 2016-06-13 13:13:15 UTC
(In reply to Peter Rajnoha from comment #17)
> Currently, we have lvm2-2.02.152-2.el7 in 7.3 - please try this build and
> see if you can reproduce. Thanks.

You mean, lvm2-2.02.156-1, right?

Comment 19 Alasdair Kergon 2016-06-13 13:25:53 UTC
"or whatever later version we built since"

Comment 21 Peter Rajnoha 2016-08-01 12:15:24 UTC
For now, I'm assuming this is fixed with recent builds. If this problem appears again, please, reopen this bug report.

Comment 22 Roman Bednář 2016-08-01 12:34:22 UTC
Adding QA ack for 7.3. SanityOnly, it's unlikely we'll be able to reproduce this. We can verify this bug after regression run is done without any dmeventd segfaults.

Comment 24 Roman Bednář 2016-09-21 12:21:04 UTC
Verified - SanityOnly.

The issue did not occur during regression testing.

3.10.0-505.el7.x86_64

lvm2-2.02.165-2.el7    BUILT: Wed Sep 14 16:01:43 CEST 2016
lvm2-libs-2.02.165-2.el7    BUILT: Wed Sep 14 16:01:43 CEST 2016
lvm2-cluster-2.02.165-2.el7    BUILT: Wed Sep 14 16:01:43 CEST 2016
device-mapper-1.02.134-2.el7    BUILT: Wed Sep 14 16:01:43 CEST 2016
device-mapper-libs-1.02.134-2.el7    BUILT: Wed Sep 14 16:01:43 CEST 2016
device-mapper-event-1.02.134-2.el7    BUILT: Wed Sep 14 16:01:43 CEST 2016
device-mapper-event-libs-1.02.134-2.el7    BUILT: Wed Sep 14 16:01:43 CEST 2016
device-mapper-persistent-data-0.6.3-1.el7    BUILT: Fri Jul 22 12:29:13 CEST 2016
cmirror-2.02.165-2.el7    BUILT: Wed Sep 14 16:01:43 CEST 2016

Comment 26 errata-xmlrpc 2016-11-04 04:20:20 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHBA-2016-1445.html


Note You need to log in before you can comment on or make changes to this bug.